org.codehaus.plexus.compiler.javac

## Class IsolatedClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader
      - - org.codehaus.plexus.compiler.javac.IsolatedClassLoader

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class IsolatedClassLoader
      extends URLClassLoader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IsolatedClassLoader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addURL(URL url)`
    `Class<?>` | `loadClass(String className)`

    - ### Methods inherited from class java.net.URLClassLoader

      `close, definePackage, findClass, findResource, findResources, getPermissions, getResourceAsStream, getURLs, newInstance, newInstance`

    - ### Methods inherited from class java.security.SecureClassLoader

      `defineClass, defineClass`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IsolatedClassLoader

          public IsolatedClassLoader()

  - ### Method Detail

    - #### addURL

          public void addURL(URL url)

      Overrides:
        `addURL` in class `URLClassLoader`

    - #### loadClass

          public Class<?> loadClass(String className)
                             throws ClassNotFoundException

      Overrides:
        `loadClass` in class `ClassLoader`
      Throws:
        `ClassNotFoundException`

Copyright © 2015. All rights reserved.